%define srcname xf86-input-keyboard
%define _modulesdir %_libdir/X11/modules

Name: xorg-x11-drv-keyboard
Version: 1.1.1
Release: alt2
Serial: 1
Summary: Keyboard input driver
License: MIT/X11
Group: System/X11

Url: http://xorg.freedesktop.org
Source: %srcname-%version.tar.bz2

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Provides: x11-driver-keyboard x11-driver-kbd
PreReq: xorg-x11-server-common >= 1.0.99.901

BuildRequires: pkg-config xorg-x11-sdk xorg-x11-proto-devel xorg-x11-util-macros

%description
kbd  is an Xorg input driver for keyboards.  The driver supports
the standard OS-provided keyboard interface, but these  are  cur-
rently  only  available  to  this  driver  module  for  Linux, BSD, and
Solaris.  This driver is  planned  to  replace  the  built-in  keyboard
driver in a future release of Xorg.

The kbd driver functions as a keyboard input device, and may be used as
the X server's core keyboard.

%def_disable static

%prep
%setup -q -n %srcname-%version

%build
%__autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	%{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

%files
%dir %_modulesdir/input
%_modulesdir/input/kbd_drv.so
%_man4dir/kbd.4*

%changelog
* Mon Jan 08 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.1-alt2
- drop deprecated keyboard driver

* Sat Oct 14 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.1-alt1
- 1.1.1

* Sat May 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.0-alt2
- prerequires xorg-x11-server-common >= 1.0.99.901

* Fri Apr 21 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.0-alt1
- 1.1.0

* Mon Jan 23 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1.3-alt2
- fixed requires

* Wed Dec 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1.3-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.0.1.1-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.0.1-alt0.1
- initial release

